package com.red.circle.console.app.service.app.sys;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.SysMikeTypeConfigQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysMikeTypeConfigDTO;

/**
 * 麦位类型配置
 *
 * @author zongpubin on 2023/10/30
 */
public interface SysMikeTypeConfigService {

  PageResult<SysMikeTypeConfigDTO> getMikeType(SysMikeTypeConfigQryCmd query);

  void addMikeType(SysMikeTypeConfigDTO dto);

  void removeMikeType(Long id);

  void updateMikeType(SysMikeTypeConfigDTO dto);
}
